Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 547582 - x11-libs/gtk+-3.14.10 suppressed nm-applet in all themes, except the default or Raleigh theme.
Summary: x11-libs/gtk+-3.14.10 suppressed nm-applet in all themes, except the default ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-24 14:12 UTC by Randy Andy
Modified: 2015-05-17 10:13 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Randy Andy 2015-04-24 14:12:28 UTC
Since installing x11-libs/gtk+-3.14.10 library, my nm-applet doesn't appear after log into my Xfce4-4.12 Desktop.
Networkmanager works fine and the connection messages of the nm-applet appears furthermore on its defined position.

The appearance of the nm-applet could be recreated in different ways:
$ xfce4-panel -r
using dconf, untick and tick the box again under /org/gnome/nm-applet/show-applet
These both ways are not persistent, so you have to do it after every log-in.

Choose the default or Raleigh theme, the nm-applet appears immediately and stays persistent until you choose a different theme.

A downgrade to the stable version 3.14.9, also fixes the problem persistent, equal which theme do you choose.
Takes me long time to sort this out, cause I don't know where to find hints in the system which points in the right direction,as you could read here, in German only - sorry.
https://forums.gentoo.org/viewtopic-t-1015484-highlight-.html

So that's for your information only. Best regards, Andy.



emerge --info
Portage 2.2.18 (python 2.7.9-final-0, default/linux/x86/13.0/desktop, gcc-4.9.2, glibc-2.20-r2, 4.0.0-gentoo i686)
=================================================================
System uname: Linux-4.0.0-gentoo-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.2
KiB Mem:     2057576 total,     58268 free
KiB Swap:    2097148 total,   2096052 free
Timestamp of repository gentoo: Thu, 23 Apr 2015 19:00:01 +0000
sh bash 4.3_p33-r2
ld GNU ld (Gentoo 2.25 p1.0) 2.25
distcc 3.2rc1 i686-pc-linux-gnu [enabled]
app-shells/bash:          4.3_p33-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

Installed sets: @system
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"                                                                                                                   
CBUILD="i686-pc-linux-gnu"                                                                                                           
CFLAGS="-march=atom -mno-cx16 -msahf -mmovbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx -mno-avx2 -mno-sse4.2 -mno-sse4.1 -mno-lzcnt -mno-rdrnd -mno-f16c -mno-fsgsbase --param l1-cache-size=24 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=atom -mmmx -msse -msse2 -msse3 -mssse3 -mfpmath=sse -O2 -fomit-frame-pointer -pipe"                                                                                                                        
CHOST="i686-pc-linux-gnu"                                                                                                            
CONFIG_PROTECT="/etc /usr/lib/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"                                          
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"                                                                                               
CXXFLAGS="-march=atom -mno-cx16 -msahf -mmovbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx -mno-avx2 -mno-sse4.2 -mno-sse4.1 -mno-lzcnt -mno-rdrnd -mno-f16c -mno-fsgsbase --param l1-cache-size=24 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=atom -mmmx -msse -msse2 -msse3 -mssse3 -mfpmath=sse -O2 -fomit-frame-pointer -pipe"                                                                                                                      
DISTDIR="/usr/portage/distfiles"                                                                                                     
EMERGE_DEFAULT_OPTS="--quiet-build=n --keep-going --autounmask-write"                                                                
FCFLAGS="-O2 -march=i686 -pipe"                                                                                                      
FEATURES="assume-digests binpkg-logs config-protect-if-modified distcc distcc-pump distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"                                                                                                             
FFLAGS="-O2 -march=i686 -pipe"                                                                                                       
GENTOO_MIRRORS="http://gentoo.tiscali.nl/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"                                                                                                                       
LANG="de_DE.UTF-8"                                                                                                                   
LC_ALL=""                                                                                                                            
LDFLAGS="-Wl,-O1 -Wl,--as-needed"                                                                                                    
MAKEOPTS="-j4 -l10"                                                                                                                  
PKGDIR="/usr/portage/packages"                                                                                                       
PORTAGE_CONFIGROOT="/"                                                                                                               
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                          
PORTAGE_TMPDIR="/var/tmp"                                                                                                            
USE="7Zip X a52 aac aalib acl acpi admin alsa apng archive asf audiofile auto-hinter bash-completion berkdb branding btrfs bzip2 cairo cdda cdr cli colorpicker consolekit cpuload cracklib crypt css cups curl cxx cxx-bindings dbus declarative dga dhclient djvu dlloader dom dri drm dts dv dvb dvd dvdr dvdread dvi emboss enca encode exif extras faad fame fat fdk ffmpeg fftw firefox firefox3 flac flash fontconfig fortran ftp fuse g3dvl gallium gbm gcj gdbm gif git glamor gles gles2 glib gphoto2 gpm graphviz gs gstreamer gtk gtk2 gtk3 hddtemp iconv icq icu imap intel introspection ios iostats ipv6 irc jabber java jpeg jpeg2k kexiv2 kipi kpathsea lame laptop lcms ldap lensfun libcaca libclamav libnotify libsamplerate libsecret libv4l libv4l2 liemikuutio lightdm lirc live llvm lm_sensors lock lua lua-cairo lximage lzma lzo mad mainmenuhooks matroska metric minizip mjpeg mmx mng modemmanager modules mount mp3 mp4 mpeg mplayer msn mtp musepack nano-syntax nas ncurses network networkmanager networkmonitor nfsv4 nfsv41 nls nptl nsplugin nss ntfs ntp ogg ogm okular openal openexr opengl openmp openssl openstreetmap optimization opus osdmenu osmesa pam pango parted pastebin pcm pcre pdf pdfimport perl phonon plugin pm-utils pmu png pnm policykit postproc powermanagement ppds ppp python python3 qt5 quicktime rar raw razor readline real recode recording redeyes rle rss rtmp rtsp scanner schroedinger screensaver script sdk sdl sdl-image sdl-sound secure-delete semantic-desktop sensors server session sftp shine shorten shout sift skype smp sms sna sndfile sound soundextract speech speex spell sql sqlite sse sse2 ssh-askpass ssl ssse3 startup-notification stk stream svg syncearly sysstat tcpd teatime templates tga theora threads thumbnail thunar tiff toolame tools transcode tremor truetype twolame udev udisks umfpack unicode upower urlpicpreview usb utils v4l v4l2 vaapi vamp vcd vcdinfo vcdx video vim-syntax vlm vorbis vpx vxml wav wavpack weather-metar webcam webdav webkit webp webpresence win32codecs windeco wma wma-fixed wmf worldclock wxwidgets x264 x86 xanim xcb xcomposite xine xinerama xml xmp xmpp xorg xorgmodule xpi xpm xrandr xscreensaver xsl xslt xv xvid xvmc yaepg youtube yv12 zip zlib" ABI_X86="32" ALSA_CARDS="hda-intel loopback virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel i915" XFCE_PLUGINS="battery brightness clock multiload-nandhp power trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Anton Romanov 2015-05-13 06:03:34 UTC
It can be fixed in a session by switching to raleigh, launching nm-applet and then switching back.
Also, it is supposedly fixed with recent gtk+:3 upstream releases ( https://bbs.archlinux.org/viewtopic.php?id=195863 )
Comment 2 Denis Dupeyron gentoo-dev 2015-05-13 19:07:21 UTC
The bug is in gtk+:3 so I'm reassigning this to the gnome team. The patch fixing this can be seen at:

https://projects.archlinux.org/svntogit/packages.git/diff/trunk/0001-Revert-image-Optimize-non-resize-changes.patch?h=packages/gtk3&id=e493b4f202286a9b36cc874cebb24c68cae4321c
Comment 3 Pacho Ramos gentoo-dev 2015-05-17 10:13:29 UTC
fixed version is in the tree now